> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Sepay Transactions

> Fetch transactions from SEPay API using token, write local CSV file, and sync to DB.



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/bank-transactions/sync
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/bank-transactions/sync:
    post:
      tags:
        - Bank Transactions
      summary: Sync Sepay Transactions
      description: >-
        Fetch transactions from SEPay API using token, write local CSV file, and
        sync to DB.
      operationId: sync_sepay_transactions_api_v1_bank_transactions_sync_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SyncRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SyncRequest:
      properties:
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
        page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page
          default: 1
        perPage:
          anyOf:
            - type: integer
            - type: 'null'
          title: Perpage
          default: 100
        dateFrom:
          anyOf:
            - type: string
            - type: 'null'
          title: Datefrom
        dateTo:
          anyOf:
            - type: string
            - type: 'null'
          title: Dateto
      type: object
      title: SyncRequest
    SyncResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        fetchedCount:
          type: integer
          title: Fetchedcount
        importedCount:
          type: integer
          title: Importedcount
        skippedCount:
          type: integer
          title: Skippedcount
      type: object
      required:
        - success
        - message
        - fetchedCount
        - importedCount
        - skippedCount
      title: SyncResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````